import {
  login,
  listCompany,
  myCompany,
  createCompany,
  updateCompanyStatus,
  updateCompanyExpired,
  updateCompany,
  listAccount,
  listAccountMine,
  createAccount,
  updatePassword,
  updateAccountStatus,
  listSource,
  createSource,
  updateSource,
  updateSourceStatus,
  listModel,
  listBrand,
  createData,
} from "./request_methods";

export default {
  namespaced: true,
  state: {},
  actions: {
    asyncLogin(_, payload) {
      return login(payload)
    },
    asyncListCompany(_, payload) {
      return listCompany(payload)
    },
    asyncMyCompany(_, payload) {
      return myCompany(payload)
    },
    asyncCreateCompany(_, payload) {
      return createCompany(payload)
    },
    asyncUpdateCompanyStatus(_, payload) {
      return updateCompanyStatus(payload)
    },
    asyncUpdateCompanyExpired(_, payload) {
      return updateCompanyExpired(payload)
    },
    asyncUpdateCompany(_, payload) {
      return updateCompany(payload)
    },
    asyncListAccount(_, payload) {
      return listAccount(payload)
    },
    asyncListAccountMine(_, payload) {
      return listAccountMine(payload)
    },
    asyncCreateAccount(_, payload) {
      return createAccount(payload)
    },
    asyncUpdatePassword(_, payload) {
      return updatePassword(payload)
    },
    asyncUpdateAccountStatus(_, payload) {
      return updateAccountStatus(payload)
    },
    asyncListSource(_, payload) {
      return listSource(payload)
    },
    asyncCreateSource(_, payload) {
      return createSource(payload)
    },
    asyncUpdateSource(_, payload) {
      return updateSource(payload)
    },
    asyncUpdateSourceStatus(_, payload) {
      return updateSourceStatus(payload)
    },
    
    asyncListModel(_, payload) {
      return listModel(payload)
    },
    asyncListBrand(_, payload) {
      return listBrand(payload)
    },
    asyncCreateData(_, payload) {
      return createData(payload)
    },
  },
  mutations: {
  }
};
