import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  data() {
    return {
      loading: false,
      company: null, 
    }
  },
  methods: {
    getMyCompany() {  

      this.loading = true
      dispatch("invoke/asyncMyCompany").then(({ data }) => {
        this.loading = false
        if (data != null) {
          this.company = {...data};
        } else {
          this.company = null;
        }
        // console.log(this.data)
      });
    },
  },
  mounted() {
    this.getMyCompany();
  }
};
