
export default [
    {
      path: '/',
      key: 'index',
      icon: 'logo-xbox',
      title: '登录',
      visable: false,
      component: () => import("@/view/index/index.vue")
    },
    {
      path: '/main',
      key: 'main',
      icon: 'logo-xbox',
      title: '首页',
      visable: false,
      component: () => import("@/view/main/index.vue")
    },
    {
      path: '/home',
      key: 'home',
      icon: 'logo-xbox',
      title: '首页',
      visable: false,
      component: () => import("@/view/home/index.vue")
    },
    {
      path: '/company',
      key: 'company',
      icon: 'logo-xbox',
      title: '企业管理',
      visable: false,
      children: [
        {
          path: '/company/companys',
          key: 'companys',
          icon: 'logo-xbox',
          title: '企业列表',
          visable: false,
          component: () => import("@/view/company/companys/index.vue")
        }, 
        // {
        //   path: '/company/add',
        //   key: 'add',
        //   icon: 'logo-xbox',
        //   title: '添加企业',
        //   visable: false,
        //   component: () => import("@/view/company/add/index.vue")
        // }, 
        {
          path: '/company/info',
          key: 'info',
          icon: 'logo-xbox',
          title: '企业信息',
          visable: false,
          component: () => import("@/view/company/info/index.vue")
        }, 
        {
          path: '/company/accounts',
          key: 'accounts',
          icon: 'logo-xbox',
          title: '帐号列表',
          visable: false,
          component: () => import("@/view/company/accounts/index.vue")
        }
      ]
    }, 
    {
      path: '/data',
      key: 'data',
      icon: 'logo-xbox',
      title: '基础数据',
      visable: false,
      children: [
        {
          path: '/data/source',
          key: 'source',
          icon: 'logo-xbox',
          title: '车源管理',
          visable: false,
          component: () => import("@/view/data/source/index.vue")
        }, 
        {
          path: '/data/model',
          key: 'model',
          icon: 'logo-xbox',
          title: '品牌型号',
          visable: false,
          component: () => import("@/view/data/model/index.vue")
        }
      ]
    }
  ]
